Subject: RE: Porting git to HP NonStop

From: "Joachim Schmitz" <[email-masked]>
Date: Wed, 22 Aug 2012 23:22:56 +0200

> -----Original Message-----
> From: Junio C Hamano [mailto:[email-masked]]
> Sent: Wednesday, August 22, 2012 11:12 PM
> To: Joachim Schmitz
> Cc: [email-masked]; [email-masked]
> Subject: Re: Porting git to HP NonStop
> 
> "Joachim Schmitz" <[email-masked]> writes:
> 
> >> If it helps your port, compat/itimer.c sounds like a good place.
> >> Doesn't it need a new header file to introduce structures and
> >> constants,
> > too?
> >
> > You mean the ITIMER_* and struct itimerval, right?
> > On NonStop these are available in <sys/time.h>, so here's no need to
> > add them.
> 
> At least you would need a header to declare these two functions and make
> them visible so that the remainder of the codebase will not have to know
about
> git_setitimer(), no?  Or does your header files on NonStop declare
setitimer()
> but does not implement it?

No it doesn't, at least not if a form visible to a compiler...

> As your proposed name is not compat/tandem.c but more generic sounding
> compat/itimer.c, we would have to plan for systems other than NonStop, so
we
> may later have to introduce makefile variables to ask that header file to
> declare the structure and define the constants that are missing from such
a
> system.  While you are porting to NonStop, you may not have to
define/declare
> them, but knowing that these files are the place to later do so is part of
the
> planning.

I thought of having the function decclaration in git-compat-util.h, just
like for eg. setenv, gitmkdtemp, etc.

Bye, Jojo